debRecordParser Class Reference
Inheritance diagram for debRecordParser:
[legend]
Collaboration diagram for debRecordParser:
[legend]

## Public Member Functions

| debRecordParser (std::string FileName, pkgCache &Cache)
Public Member Functions inherited from debRecordParserBase
std::string | FileName () override
std::string | SourcePkg () override
std::string | SourceVer () override
HashStringList | Hashes () const override
std::string | Maintainer () override
std::string | ShortDesc (std::string const &lang) override
std::string | LongDesc (std::string const &lang) override
std::string | Name () override
std::string | Homepage () override
std::string | RecordField (const char *fieldName) override
void | GetRec (const char *&Start, const char *&Stop) override
Public Member Functions inherited from pkgRecords::Parser
std::string | ShortDesc ()
std::string | LongDesc ()

## Protected Member Functions

bool | Jump (pkgCache::VerFileIterator const &Ver) override
bool | Jump (pkgCache::DescFileIterator const &Desc) override

## Protected Attributes

FileFd | File
pkgTagFile | Tags
Protected Attributes inherited from debRecordParserBase
pkgTagSection | Section

## Member Function Documentation

## Jump() [1/2]

bool Jump | ( | pkgCache::DescFileIterator const & | Desc | ) |

override protected virtual

Implements pkgRecords::Parser.

## Jump() [2/2]

bool Jump | ( | pkgCache::VerFileIterator const & | Ver | ) |

override protected virtual

Implements pkgRecords::Parser.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debrecords.h
- apt-pkg/deb/debrecords.cc